From 4570931c81d68a6db23aeef769b565686f62707f Mon Sep 17 00:00:00 2001
From: bobijam <bobijam>
Date: Mon, 7 Jul 2008 01:52:58 +0000
Subject: [PATCH] Branch HEAD b=14693 o=bowen.zhou i=johann, bobijam

test case for "'lctl conf_param' stores invalid parameter, future mounts fail"
---
 lustre/tests/conf-sanity.sh | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/lustre/tests/conf-sanity.sh b/lustre/tests/conf-sanity.sh
index b7bc13d287..f8edc680fb 100644
--- a/lustre/tests/conf-sanity.sh
+++ b/lustre/tests/conf-sanity.sh
@@ -1591,6 +1591,17 @@ test_41() { #bug 14134
 }
 run_test 41 "mount mds with --nosvc and --nomgs"
 
+test_42() { #bug 14693
+        setup
+        check_mount || return 2
+        do_facet client lctl conf_param lustre.llite.some_wrong_param=10
+        umount_client $MOUNT
+        mount_client $MOUNT || return 1
+        cleanup
+        return 0
+}
+run_test 42 "invalid config param should not prevent client from mounting"
+
 umount_client $MOUNT
 cleanup_nocli
 cleanup_gss
-- 
GitLab